<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\CaseService;
use App\Models\ProjectScope;
use App\Models\BusinessService;
use App\Models\QgService;
use App\Models\BusinessInfo;
use App\Models\ProjectInfo;
use App\Models\CompanyInfo;
use Illuminate\Support\Facades\DB;

class CaseServicesController extends AccountBaseController
{
    public function __construct()
    {
        parent::__construct();
        $this->pageTitle = 'app.menu.cases';

        $this->middleware(function ($request, $next) {
            abort_403(!in_array('cases', $this->user->modules));
            $this->viewCases = user()->permission('view_cases');            

            return $next($request);
        });

    }

    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        //dd(session('user'));
        // abort_403(!in_array($this->viewCases, ['all', 'added', 'both', 'owned']));
        $funnelData = DB::table('funnel_data')
        ->orderBy('created_at', 'desc')
        ->paginate(5);
        //dd($this->data);
        return view('cases.index', $this->data , compact('funnelData'));
    }

    /**
     * Used to load more records and render to view.
     *
     * @param int $pageNumber
     *
     * @return Response
     */
    public function viewCase($case_id, $tab = 'profile'){
        $funnelData_tab = DB::table('funnel_data')
        ->where('app_id', $case_id)
        ->get();

         $this->pageTitle = 'common.view_job';
         $this->data['case_id'] = $case_id;

        return view('cases.view_case', $this->data, compact('funnelData_tab','tab'));

    }
}
