<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class BusinessService extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'case_business_services';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'business_id',
        'exist_service',
        'service_id',
        'service_desc',
        'created_at',
        'updated_at',        
    ];   


    public function getExistServiceByCase($case_number){

        $data = $this->where('case_id', $case_number)->get(['service_id',
        'exist_service']);
        //dd($data->isNotEmpty());
        $result = [];
        if($data->isNotEmpty()){
            foreach ($data as $key => $value) {
                //dd($value);
                $result[$value['service_id']] = $value['exist_service'];
            }

            return $result; 
        }
        return null;
    }

}
