<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class CompanyInfo extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'case_company_information';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'company_number',
        'is_registered',
        'company_details',
        'is_domain',
        'domain_name',
        'created_at',
        'updated_at',        
    ];
    

    public function getCompanyInfoByCase($case_id)
    {
        $fields = [
                'case_company_information.company_number',
                'case_company_information.is_registered',
                'case_company_information.company_details',
                'case_company_information.is_domain',
                'case_company_information.domain_name',
            ];

        $data = $this->where('case_company_information.case_id', $case_id)->first($fields);        
        
        if(!empty($data)){
            
            return $data; 
        }
        return [];        
    }    

}
