<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class ProjectInfo extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'case_project_information';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'service_id',
        'is_automated',
        'automated_parts',
        'is_api',
        'api_integration',
        'is_nda',
        'created_at',
        'updated_at',        
    ];
    

    public function getProjectInfoByCase($case_id)
    {
        $fields = [
                'case_project_information.service_id',
                'case_project_information.is_automated',
                'case_project_information.automated_parts',
                'case_project_information.is_api',
                'case_project_information.api_integration',
                'case_project_information.is_nda',
            ];

        $data = $this->where('case_project_information.case_id', $case_id)->get($fields);        
        
        if(!empty($data)){
            
            return $data; 
        }
        return [];        
    }    

}
