<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class ProjectScope extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'case_project_scope';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'service_key',
        'response_key',
        'business_scope',
        'status',
        'created_at',
        'updated_at',        
    ];    

    public function getAllByCaseID($case_number){

        $data = $this->where('status', 1)->where('case_id', $case_number)->get(['case_id','business_scope','service_key','response_key']);
        return $data;        
    }

}
