<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class QgService extends Model
{
    use HasFactory;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'case_qg_services';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'icon',
        'description',
        'key',
        'alt_key',
        'status',
        'created_at',
        'updated_at',        
    ]; 


    //Multiple ids input
    public function getAllByServiceIDs($services_ids)
    {
        return QgService::whereIn('id', $services_ids)->where('status', 1)->get(['id', 'key', 'name','alt_key']);
    }     

}
