<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasTable('funnel_data')) {
            Schema::create('funnel_data', function (Blueprint $table) {
                $table->id();
                $table->string('app_id', 255)->nullable();
                $table->text('business_and_industry')->nullable();
                $table->integer('have_website')->nullable();
                $table->string('website', 255)->nullable();
                $table->string('no_of_emp', 255)->nullable();
                $table->integer('currently_marketing')->nullable();
                $table->string('marketing_challenges', 255)->nullable();
                $table->string('how_are_you_marketing', 255)->nullable();
                $table->string('spend_on_ads', 255)->nullable();
                $table->string('salutation', 255)->nullable();
                $table->string('fname', 255)->nullable();
                $table->string('lname', 255)->nullable();
                $table->string('postcode', 255)->nullable();
                $table->string('address', 255)->nullable();
                $table->string('mobile', 255)->nullable();
                $table->string('email', 255)->nullable();
                $table->string('landing_page', 255)->nullable();
                $table->string('any_ref', 255)->nullable();
                $table->string('color', 255)->nullable();
                $table->text('website_feel')->nullable();
                $table->text('custom_design')->nullable();
                $table->integer('custom_questions')->nullable();
                $table->text('your_questions')->nullable();
                $table->integer('leads_delivered')->nullable();
                $table->string('store_leads', 255)->nullable();
                $table->string('crm_used', 255)->nullable();
                $table->integer('write_copy')->nullable();
                $table->integer('ads')->nullable();
                $table->integer('specific_func')->nullable();
                $table->text('func')->nullable();
                $table->integer('submitted_steps')->nullable(); 
                $table->timestamps();
            });

        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('funnel_data');
    }
};
