<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('case_short_funnel_basic_info', function (Blueprint $table) {
            $table->id();
            $table->string('flow_id');
            $table->string('guest_id');
            $table->string('user_id')->nullable();
            $table->string('saluation', 10);
            $table->string('first_name', 50);
            $table->string('last_name', 50);
            $table->date('dob');
            $table->string('postal_code', 10)->nullable();
            $table->text('address');
            $table->string('mobile_no',20);
            $table->string('email',100);
            $table->tinyInteger('is_nda')->default(0);
            $table->tinyInteger('agree_communication')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('case_short_funnel_basic_info');
    }
};
