<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use DB;

class CaseQgServiceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('case_qg_services')->insert(
                [
                    [
                        'name' => 'Website',
                        'icon' => 'monitor-01.png',
                        'description' => 'Used for frontend content and e-Commerce',
                        'key' => 'NW',
                        'alt_key' => 'EW',
                        'status' => 1,
                        'created_at' => now()                        
                    ],
                    [
                        'name' => 'CRM',
                        'icon' => 'hard-drive.png',
                        'description' => 'Used to store, process and display data',
                        'key' => 'NC',
                        'alt_key' => 'EC',
                        'status' => 1,
                        'created_at' => now()                    
                    ],
                    [
                        'name' => 'Dashboard',
                        'icon' => 'bar-chart-square-01.png',
                        'description' => 'Used to show KPIs and business objectives',
                        'key' => 'ND',
                        'alt_key' => 'ED',
                        'status' => 1,
                        'created_at' => now()                        
                    ],
                    [
                        'name' => 'Mobile App',
                        'icon' => 'phone-01.png',
                        'description' => 'Used to run applications on a mobile devices',
                        'key' => 'NA',
                        'alt_key' => 'EA',
                        'status' => 1,
                        'created_at' => now()
                        
                    ]
                ]
            );
    }
}
