
<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="icon" type="image/png" sizes="16x16" href="{{ $globalSetting->favicon_url }}">
    <link rel="manifest" href="{{ $globalSetting->favicon_url }}">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="{{ $globalSetting->favicon_url }}">
    <meta name="theme-color" content="#ffffff">
    <title>{{ $globalSetting->global_app_name }}</title>
        
    <link rel="stylesheet" href="{{ asset('login-assets/css/bootstrap.min.css') }}"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" />
    <link rel="stylesheet" href="{{ asset('login-assets/css/login.css') }}" />
    <link rel="stylesheet" href="{{ asset('login-assets/css/login-responsive.css') }}" />

</head>

<body>
    <main>
        <section class="main-content h-100 p-md-4 p-0 ps-md-0">
            <div class="d-flex h-100">
                <div class="steplft">
                <header>
                   <a href="#" class="logo"> Qwikgig </a> 
                </header>
                <div class="step2 d-flex flex-column justify-content-center">
                    <h2 class="heading mb-2">Login</h2>
                    <p class="mb-6">Welcome back to Qwikgig</p>

                    <div class="main-content-steps">
                        <form id="login-form" action="{{ route('login') }}" class="ajax-form" method="POST">
                            {{ csrf_field() }}
                        
                                    <div class="form-group-main mb-4">
                                        <div class="form-group w-100">
                                            <label class="label mb-1"> Email Address </label>
                                            <input tabindex="1" type="email" name="email" autofocus                                           value="{{request()->old('email')}}" placeholder="@lang('auth.email')" id="username" class="form-control  @error('email') is-invalid @enderror" placeholder="e.g johndoe@example.com">
                                            @if ($errors->has('email'))
                                            <div class="invalid-feedback mt-2 mb-0">{{ $errors->first('email') }}</div>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="form-group-main mb-4">
                                        <div class="form-group w-100">
                                            <label class="label mb-1"> Password </label>
                                            <input type="password" name="password" id="password"
                                            placeholder="@lang('placeholders.password')" tabindex="3"
                                            class="form-control @error('password') is-invalid @enderror" placeholder="enter password">
                                            @if ($errors->has('password'))
                                            <div class="invalid-feedback mt-2 mb-0">{{ $errors->first('password') }}</div>
                                            @endif
                                        </div>
                                        <a class="forgotpassword d-block text-end" href="{{ url('forgot-password') }}">@lang('app.forgotPassword')</a>
                                    </div>

                                    <div class="btndv-main text-end">
                                        <button type="submit" class="nxtbtn btn stpbtn w-100 text-white">Sign in</button>
                                    </div>
                                </div>

                    </form>
            
                </div>
            </div>
                <div class="steprgt d-lg-flex align-items-center justify-content-end d-none">
                  
                </div>
            </div>

            </div>
            </div>
        </section>
    </main>



    <script src="{{ asset('login-assets/js/jquery.slim.min.js') }}"></script>
    <script src="{{ asset('login-assets/js/bootstrap.bundle.min.js') }}"></script>
  

</body>

</html>