@extends('layouts.app')

@push('styles')
<!-- tables -->
{{--
<link rel="stylesheet" type="text/css" href="{!! asset('assets/css/table-style.css') !!}" />
--}}
<!-- //tables -->
@endpush

@section('content')

@php
$path = $funnelData->path();
$prevbtn =  $path . '?page=' . $funnelData->currentPage() - 1;
if($funnelData->currentPage() === 1)
{
    $prevbtn = $path;
}

$lastPage = $funnelData->lastPage();
$currentPage = $funnelData->currentPage();
$nextPage = $currentPage + 1;

if ($nextPage <= $lastPage) {
    $nextbtn = $path . '?page=' . $nextPage;
} else {
    $nextbtn = null;
}

@endphp
<!-- CONTENT WRAPPER START -->
<div class="content-wrapper">
    <div class="d-flex flex-column rounded bg-white">
        <div id="cases-table_wrapper" class="dt-bootstrap4 no-footer border rounded-3 p-3">
            <div class="row">
                <div class="col-md-12 p-0">

                    <div class="">
                        <div class="">
                                <div class="d-flex align-items-center flex-lg-row flex-column justify-content-between table-topbar mb-3 gap-md-0 gap-2">
                                    <div class="w-100 d-flex flex-sm-row flex-column gap-2 justify-content-end p-0">
                                        <div class="d-flex gap-2">
                                            <a class="btn btn btn-outline-secondary cases-nav-filter d-flex align-items-center"><i class="bi bi-download pr-2"></i><span></span>Download XLS</a>
                                            <button id="btn-fltrihidden" class="btn btn btn-outline-secondary cases-nav-filter d-flex align-items-center"><i class="bi bi-filter pr-2"></i>Filter</button>
                                        </div>
                                        <div class="">
                                            <ul class="pagination pagination-sm float-right custom-martop mb-0"><li class="disabled">
                                                <a href="{{$prevbtn}}" aria-label="Previous">
                                                    <span aria-hidden="true">« Previous</span>
                                                </a>
                                           </li><li p="1" class="active"><a>{{$funnelData->currentPage()}}</a></li><li class="disabled">
                                                <a href="{{$nextbtn}}" aria-label="Next">
                                                    <span aria-hidden="true">Next »</span>
                                                </a>
                                           </li></ul>
                                        </div>
                                    </div>

                                </div>
                                {{-- filter --}}
                                <div id="fltrihidden" class="row">
                                    <div class="col-md-12 p-0">
                                        <div class="filter-nav d-flex align-items-start justify-content-end mb-3">

                                            <select name="status" id="" class="status-fill form-control border border-secondary border-success-over rounded">
                                                <option value="">Status</option>
                                                <option value="0">completed</option>
                                                <option value="1">pending</option>
                                            </select>
                                            <div class="choose-date">
                                                <select class="form-control w-100 border border-secondary border-success-over rounded" id="idate_filter" name="date">
                                                    <option selected="" value="">Choose Date</option>
                                                    <option value="1">Today</option>
                                                    <option value="2">This Week</option>
                                                    <option value="3">This Month</option>
                                                    <option value="4">This Year</option>
                                                    <option value="5">Custom</option>
                                                </select>
                                            </div>
                                            <div class="filter-btn-div">
                                                <button id="filter-btn-sbmt" class="btn btn-outline-secondary btn-outline-success-over">Submit</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <table class="table responsive-table border rounded-3" id="job_table">
                                    <thead>
                                        <tr>
                                            
                                            <th>Id </th>
                                            <th>App ID</th>
                                            <th>Name </th>
                                            <th>Email </th>
                                            <th>Phone </th>
                                            <th>Created</th>
                                            <th>Update</th>
                                            <th>Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        
                                            @foreach($funnelData as $detail)
                                            <tr id="order_{{ $detail->id }}" >
                                                
                                                <td data-label="ID" >
                                                   {{$detail->id}}
                                                </td>
                                                <td data-label="App ID">
                                                    {{$detail->app_id}}
                                                 </td>
                                                <td data-label="Name" >
                                                    {{$detail->salutation . ' ' . $detail->fname . ' ' . $detail->lname }}
                                                </td>
                                                <td data-label="Email">
                                                    {{ $detail->email }} 
                                                </td>    
                                                <td data-label="Phone" >
                                                    {!! $detail->mobile !!}
                                                </td>
                                                <td data-label="Created" >
                                                    {!! $detail->created_at !!}
                                                </td>
                                                <td data-label="Update" >
                                                    {!! $detail->updated_at !!}
                                                </td>
                                                <td data-label="Action" class="text-md-center">
                                                    <a class="viewbtn me-md-auto me-0" href="{{ route('view-case.cases', [$detail->app_id]) }}/business-info"><i class="fa fa-eye"></i></a>
                                                </td>
                                              
                                            </tr>
                                            @endforeach
                                        </tbody>
                                </table>
                                <div class="d-flex align-items-center flex-lg-row flex-column justify-content-between table-topbar mb-3 gap-md-0 gap-2">
                                    <div class="d-flex">
                                        <div>Total-</div>
                                        <span>{{$funnelData->total();}}</span>
                                    </div>
                                    
                                    <div class="w-100 d-flex gap-2 justify-content-end p-0">
                                        <div class="">
                                            <ul class="pagination pagination-sm float-right custom-martop mb-0"><li class="disabled">
                                                <a href="{{$prevbtn}}" aria-label="Previous">
                                                    <span aria-hidden="true">« Previous</span>
                                                </a>
                                           </li><li p="1" class="active"><a>{{$funnelData->currentPage()}}</a></li><li class="disabled">
                                                <a href="{{$nextbtn}}" aria-label="Next">
                                                    <span aria-hidden="true">Next »</span>
                                                </a>
                                           </li></ul>
                                        </div>
                                    </div>

                                </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>





</div>

<!-- CONTENT WRAPPER END -->
<script>
$(document).ready(function(){
    $('#fltrihidden').hide();
    $('#btn-fltrihidden').click(function(){
        $('#fltrihidden').toggle('slow');
    });
});

</script>

@endsection

@push('scripts')
    <script src="{{asset('js/template.js')}}"></script>
@endpush
