@php
$addDiscussionPermission = user()->permission('add_project_discussions');
$manageCategoryPermission = user()->permission('manage_discussion_category');
@endphp

<style>
    #discussion-table_wrapper .dt-buttons,
    #discussion-table thead {
        display: none !important;
    }

    #discussion-table tr:hover .message-action {
        visibility: visible;
    }

    .message-action {
        visibility: hidden;
    }

    .card:hover .message-action {
        visibility: visible;
    }

</style>

<!-- ROW START -->
<div class="row pb-md-5 pb-4">
    <div class="col-lg-12 col-md-12 mb-4 mb-xl-0 mb-lg-4 mt-3 mt-lg-5 mt-md-5 p-0">
       
        <!-- Add Task Export Buttons Start -->
        <div class="d-flex justify-content-end" id="table-actions">
            @if (($addDiscussionPermission == 'all' || $addDiscussionPermission == 'added' || $project->project_admin == user()->id) && !$project->trashed())
                <x-forms.button-primary class="mr-3 float-left" id="add-discussion" icon="plus" data-redirect-url="{{ route('projects.show', $project->id) . '?tab=question' }}">
                    @lang('app.newQuestion')
                </x-forms.button-primary>
            @endif

            @if ($manageCategoryPermission == 'all')
                <x-forms.button-secondary class="mr-3 float-left" id="discussion-category" icon="cog">
                    @lang('app.questionCategory')
                </x-forms.button-secondary>
            @endif

        </div>
        <br>
        <!-- Add Task Export Buttons End -->
        {{-- 
        <form action="" id="filter-form">
            <div class="d-flex my-3">
                <!-- STATUS START -->
                <div class="select-box py-2 px-0 mr-3">
                    <x-forms.label :fieldLabel="__('app.category')" fieldId="status" />
                    <select class="form-control select-picker" name="discussion_category" id="discussion_category"
                        data-live-search="true" data-size="8">
                        <option value="">@lang('app.all')</option>
                        @foreach ($discussionCategories as $item)
                            <option
                                data-content="<i class='fa fa-circle mr-2' style='color: {{ $item->color }}'></i> {{ $item->name }}"
                                value="{{ $item->id }}">{{ $item->name }}</option>
                        @endforeach
                    </select>
                </div>
                <!-- STATUS END -->
            </div>
        </form>

        --}}

        

        @if(!empty($services))
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            @php
            $i = 1;
            @endphp
            
            @foreach($services as $sk => $sv)
                @php
                
                $name = str_replace(' ','', strtolower($sv['name']));

                $serviceType = '';

                //dd($businessService);

                if(!empty($businessService[$sv['id']]) && $businessService[$sv['id']] == 1){
                    $serviceType = 'Existing';
                }else{
                    $serviceType = 'New';
                }
                
                @endphp
                    <li class="nav-item" role="presentation">
                        <button class="nav-link {{($i==1)?'active':''}}" id="{{$name}}-tab" data-bs-toggle="tab" data-bs-target="#{{$name}}-tab-pane" type="button" role="tab" aria-controls="{{$name}}-tab-pane" aria-selected="true">{{ $serviceType .' ' .$sv['name'] . ' Question'}}</button>
                    </li>  
                @php
                
                $i++;
                
                @endphp

            @endforeach                
        </ul>
        @endif

       
        @if(!empty($services))
            @php
                $i = 1;
            @endphp        

            <div class="tab-content" id="myTabContent">
                @foreach($services as $skh => $svh)
                    @php
                        
                        $name = str_replace(' ','', strtolower($svh['name']));
                        $gigDescription = '';                       

                        $serviceKey = $svh['key'];
                        $serviceAltKey = $svh['alt_key'];
                        $mainKey = '';
            
                        if(!empty($businessService[$svh['id']]) && $businessService[$svh['id']] == 1){
                            $mainKey = $serviceAltKey;                   
                        }else{
                            $mainKey = $serviceKey;
                        }

                        $serviceType = '';

                               if(!empty($businessService[$sv['id']]) && $businessService[$sv['id']] == 1){
                                   $serviceType = 'Existing';
                               }else{
                                  $serviceType = 'New';
                              }                        
                         
                        @endphp



                    <div class="tab-pane fade {{($i==1)?'show active':''}}" id="{{$name}}-tab-pane" role="tabpanel" aria-labelledby="{{$name}}-tab" tabindex="0">
                        <div class="mt-3">
                            <div>
                                <h6 class=""></h6>
                            </div>
                            {{-- start project summary --}}
                            <div class="project-smy">
                                
                                <div class="card">
                                    <div class="card-header">
                                        {{ucwords($name)}} Questions
                                    </div>
                                    <div class="card-body">
                                        <div class="row">
                                            @if(!empty($serviceQuestions))
                                                @foreach($serviceQuestions as $k => $v)

                                                    @if($svh['id'] == $v['service_id'])
                                                    @php
                                                        //dd($v);
                                                    @endphp
                                                    <div class="col-sm-12 border-grey p-2 mb-2">
                                                        <div class="row">
                                                            <div class="col-sm-9">
                                                                <div class="media align-items-center">
                                                                    <img src="https://www.gravatar.com/avatar/a399c3c0e1954e3bd608511d4014eaca.png?s=200&amp;d=mp" height="40" width="40" class="mr-3 rounded">
                                                                    <div class="media-body">

                                                                       {{--http://127.0.0.1:8000/account/projects/discussion/4
                                                                       --}}
                                                                    <h5 class="mb-1 f-15 text-darkest-grey"><a href="{{route('question.show', [$v['id']])}}" class="openRightModal">{{$v['title']}}</a></h5>
                                                                    <p class="mb-1"></p>
                                                                    <span class="f-12 text-lightest">replied at {{$v['last_reply_at']}}</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                           
                                                            <div class="col-sm-1">
                                                                <div class="media align-items-center">
                                                                    <div class="media-body">
                                                                        <p class="f-15" title="total replies">
                                                                            <i class="icon-bubbles"></i> {{ count($v['replies']) }}</p>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            

                                                            <div class="col-sm-2 text-right">
                                                                <div class="media align-items-center">
                                                                    <div class="media-body">
                                                                        <p class="mb-1">


                                                                        <svg class="svg-inline--fa fa-circle fa-w-16" style="color: {{$v['color']}}" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="circle" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8z"></path></svg><!-- <i class="fa fa-circle" style="color: #3498DB"></i> Font Awesome fontawesome.com --> {{$v['category']}}</p>
                                                                        {{-- 
                                                                        <div class="dropdown ml-auto message-action">
                                                                            <button class="btn btn-lg f-14 p-0 text-lightest text-capitalize rounded  dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                            <svg class="svg-inline--fa fa-ellipsis-h fa-w-16" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="ellipsis-h" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M328 256c0 39.8-32.2 72-72 72s-72-32.2-72-72 32.2-72 72-72 72 32.2 72 72zm104-72c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72zm-352 0c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z"></path></svg><!-- <i class="fa fa-ellipsis-h"></i> Font Awesome fontawesome.com -->
                                                                            </button>
                                                                            <div class="dropdown-menu dropdown-menu-right border-grey rounded b-shadow-4 p-0" aria-labelledby="dropdownMenuLink" tabindex="0">
                                                                                <a class="cursor-pointer d-block text-dark-grey f-13 py-3 px-3 delete-discussion" data-discussion-id="4" href="javascript:;">Delete</a>
                                                                            </div>
                                                                        </div>
                                                                        --}}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    @endif

                                                @endforeach

                                            @else

                                                <p class="text-center">No Records</p>

                                            @endif

                                            {{-- 

                                            <div class="col-sm-9">
                                                <div class="media align-items-center">
                                                    <img src="https://www.gravatar.com/avatar/a399c3c0e1954e3bd608511d4014eaca.png?s=200&amp;d=mp" height="40" width="40" class="mr-3 rounded">
                                                    <div class="media-body">
                                                    <h5 class="mb-1 f-15 text-darkest-grey"><a href="http://127.0.0.1:8000/account/projects/discussion/4" class="openRightModal">Testin my deisoiionsf</a></h5>
                                                    <p class="mb-1"></p>
                                                    <span class="f-12 text-lightest">replied at 30-08-2024 11:52 am</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-1">
                                                <div class="media align-items-center">
                                                    <div class="media-body">
                                                        <p class="f-15">
                                                            <i class="icon-bubbles"></i> 2</p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-2 text-right">
                                                <div class="media align-items-center">
                                                    <div class="media-body">
                                                        <p class="mb-1"><svg class="svg-inline--fa fa-circle fa-w-16" style="color: #3498DB;" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="circle" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8z"></path></svg><!-- <i class="fa fa-circle" style="color: #3498DB"></i> Font Awesome fontawesome.com --> General</p>
                                                        <div class="dropdown ml-auto message-action">
                                                            <button class="btn btn-lg f-14 p-0 text-lightest text-capitalize rounded  dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <svg class="svg-inline--fa fa-ellipsis-h fa-w-16" aria-hidden="true" focusable="false" data-prefix="fa" data-icon="ellipsis-h" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M328 256c0 39.8-32.2 72-72 72s-72-32.2-72-72 32.2-72 72-72 72 32.2 72 72zm104-72c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72zm-352 0c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z"></path></svg><!-- <i class="fa fa-ellipsis-h"></i> Font Awesome fontawesome.com -->
                                                            </button>
                                                            <div class="dropdown-menu dropdown-menu-right border-grey rounded b-shadow-4 p-0" aria-labelledby="dropdownMenuLink" tabindex="0">
                                                                <a class="cursor-pointer d-block text-dark-grey f-13 py-3 px-3 delete-discussion" data-discussion-id="4" href="javascript:;">Delete</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            --}}
                                        </div>
                                    </div>
                                </div>
                                
                                
                            </div>
                        </div>
                    </div>
                    @php
                    $i++;
                    @endphp 
                @endforeach    
            </div>
        @endif

       
        <!-- Task Box Start -->
        {{--<div class="d-flex flex-column rounded mt-3 bg-white">
            
            {!! $dataTable->table(['class' => 'table responsive-table border-0 w-100']) !!}
            
        </div>--}}
        <!-- Task Box End -->
    </div>
</div>

@include('sections.datatable_js')

<script>

$(document).ready(function() {
    var table = $('#discussion-table').DataTable();

    table.on('draw', function() {
        $('#discussion-table tbody tr').each(function() {
            var thlup = 0;
            $(this).find('td').each(function(index) {
                thlup = thlup + 1;
                if(thlup != 1) {
                  var get_titl =  $('#discussion-table thead tr th:nth-child('+thlup+')').attr('title');
                  var headerText = table.column(index).header().textContent;
                  $(this).attr('data-label', get_titl);
                }
            });
        });
    });
});

$(document).ready(function() {
    /*var table = $('#discussion-table').DataTable();

    table.on('draw', function() {
        $('#discussion-table tbody tr').each(function() {
            var thlup = 0;667ujk ,.n m,77 
    });*/

    $('body').on('click', '#discussion-category', function() {
        var url = "{{ route('discussion-category.create') }}";

        $(MODAL_LG + ' ' + MODAL_HEADING).html('...');
        $.ajaxModal(MODAL_LG, url);
    });

    $('body').on('click', '#add-discussion', function() {
        let redirectUrl = encodeURIComponent($(this).data("redirect-url"));
        var url = "{{ route('discussion.create') }}?id="+"{{ $project->id }}&redirectUrl="+redirectUrl;

        $(MODAL_LG + ' ' + MODAL_HEADING).html('...');


        $.ajaxModal(MODAL_XL, url);
    });

    $('body').on('click', '.edit-category', function() {
        var categoryId = $(this).data('category-id');
        var url = "{{ route('discussion-category.edit', ':id') }}";
        url = url.replace(':id', categoryId);

        $(MODAL_LG + ' ' + MODAL_HEADING).html('...');
        $.ajaxModal(MODAL_LG, url);
    });

    $('body').on('click', '.add-reply', function() {
        var discussionId = $(this).data('discussion-id');
        var url = "{{ route('discussion-reply.create') }}?id=" + discussionId;

        $(MODAL_XL + ' ' + MODAL_HEADING).html('...');
        $.ajaxModal(MODAL_XL, url);
    });

    $('body').on('click', '.edit-reply', function() {
        var id = $(this).data('row-id');
        var url = "{{ route('discussion-reply.edit', ':id') }}";
        url = url.replace(':id', id);

        $(MODAL_XL + ' ' + MODAL_HEADING).html('...');
        $.ajaxModal(MODAL_XL, url);
    });

    $('body').on('click', '.set-best-answer', function() {
        var replyId = $(this).data('row-id');
        var type = 'set';
        var url = "{{ route('discussion.set_best_answer') }}";
        var token = "{{ csrf_token() }}";

        $.easyAjax({
            type: 'POST',
            url: url,
            container: '#right-modal-content',
            blockUI: true,
            data: {
                '_token': token,
                '_method': 'POST',
                'replyId': replyId,
                'type': type
            },
            success: function(response) {
                if (response.status == "success") {
                    $('#right-modal-content').html(response.html);
                }
            }
        });
    });

    $('body').on('click', '.unset-best-answer', function() {
        var replyId = $(this).data('reply-id');
        var type = 'unset';
        var url = "{{ route('discussion.set_best_answer') }}";
        var token = "{{ csrf_token() }}";

        $.easyAjax({
            type: 'POST',
            url: url,
            container: '#right-modal-content',
            blockUI: true,
            data: {
                '_token': token,
                '_method': 'POST',
                'replyId': replyId,
                'type': type
            },
            success: function(response) {
                if (response.status == "success") {
                    $('#right-modal-content').html(response.html);
                }
            }
        });
    });

    $('body').on('click', '.delete-message', function() {
        var id = $(this).data('row-id');
        Swal.fire({
            title: "@lang('messages.sweetAlertTitle')",
            text: "@lang('messages.recoverRecord')",
            icon: 'warning',
            showCancelButton: true,
            focusConfirm: false,
            confirmButtonText: "@lang('messages.confirmDelete')",
            cancelButtonText: "@lang('app.cancel')",
            customClass: {
                confirmButton: 'btn btn-primary mr-3',
                cancelButton: 'btn btn-secondary'
            },
            showClass: {
                popup: 'swal2-noanimation',
                backdrop: 'swal2-noanimation'
            },
            buttonsStyling: false
        }).then((result) => {
            if (result.isConfirmed) {
                var url = "{{ route('discussion-reply.destroy', ':id') }}";
                url = url.replace(':id', id);

                var token = "{{ csrf_token() }}";

                $.easyAjax({
                    type: 'POST',
                    url: url,
                    container: '#right-modal-content',
                    blockUI: true,
                    data: {
                        '_token': token,
                        '_method': 'DELETE'
                    },
                    success: function(response) {
                        if (response.status == "success") {
                            $('#right-modal-content').html(response.html);
                        }
                    }
                });
            }
        });
    });


    $('.go-best-reply').click(function() {
        var replyId = $(this).data('reply-id');

        $('html, body').animate({
            scrollTop: $("#replyMessageBox_" + replyId).offset().top
        }, 1000);
    });

});

</script>
