@php
$addFilePermission = user()->permission('add_project_files');
$viewFilePermission = user()->permission('view_project_files');
$deleteFilePermission = user()->permission('delete_project_files');
@endphp

<link rel="stylesheet" href="{{ asset('vendor/css/dropzone.min.css') }}">

<style>
    .file-action {
        visibility: hidden;
    }

    .file-card:hover .file-action {
        visibility: visible;
    }

</style>

<div class="row pb-md-5 pb-4">
    <div class="col-lg-12 col-md-12 mb-4 mb-xl-0 mb-lg-4 mt-3 mt-lg-5 mt-md-5 p-0">

        @if(!empty($services))
        <ul class="nav nav-tabs mb-3" id="myTab" role="tablist">
            @php
            $i = 1;
            @endphp
            
            @foreach($services as $sk => $sv)
                @php
                
                $name = str_replace(' ','', strtolower($sv['name']));

                $serviceType = '';

                //dd($businessService);

                if(!empty($businessService[$sv['id']]) && $businessService[$sv['id']] == 1){
                    $serviceType = 'Existing';
                }else{
                    $serviceType = 'New';
                }
                
                @endphp
                    <li class="nav-item" role="presentation">
                        <button class="nav-link {{($i==1)?'active':''}}" id="{{$name}}-tab" data-bs-toggle="tab" data-bs-target="#{{$name}}-tab-pane" type="button" role="tab" aria-controls="{{$name}}-tab-pane" aria-selected="true">{{ $serviceType .' ' .$sv['name'] . ' Files'}}</button>
                    </li>  
                @php
                
                $i++;
                
                @endphp

            @endforeach                
        </ul>
        @endif

        @if(!empty($services))
            @php
                $i = 1;
            @endphp  
            <div class="tab-content" id="myTabContent">

            @foreach($services as $skh => $svh)
            @php
                
                $name = str_replace(' ','', strtolower($svh['name']));
                
                $serviceKey = $svh['key'];
                $serviceAltKey = $svh['alt_key'];
                $mainKey = '';
    
                if(!empty($businessService[$svh['id']]) && $businessService[$svh['id']] == 1){
                    $mainKey = $serviceAltKey;                   
                }else{
                    $mainKey = $serviceKey;
                }

                $serviceType = '';

                       if(!empty($businessService[$sv['id']]) && $businessService[$sv['id']] == 1){
                           $serviceType = 'Existing';
                       }else{
                          $serviceType = 'New';
                      }                        
                 
                @endphp 

                <!-- TAB CONTENT START -->
                {{--<div class="tab-pane fade show active mt-5" role="tabpanel" aria-labelledby="nav-email-tab">--}}

                <div class="tab-pane fade {{($i==1)?'show active':''}}" id="{{$name}}-tab-pane" role="tabpanel" aria-labelledby="{{$name}}-tab" tabindex="0">

                    <x-cards.data :title="$name.' '.__('modules.projects.files')">

                        @if (($addFilePermission == 'all' || $addFilePermission == 'added' || $project->project_admin == user()->id) && !$project->trashed())

                            <div class="row add-btn-task" id="add-btn{{ $svh['id'] }}" >
                                <div class="col-md-12 p-0 mb-2">
                                    <a class="f-15 f-w-500" href="javascript:void(0);" id="add-task-file{{ $svh['id'] }}"><i
                                            class="icons icon-plus font-weight-bold mr-1"></i>@lang('modules.projects.uploadFile')</a>
                                </div>
                            </div>

                            <x-form id="save-taskfile-data-form{{ $svh['id'] }}" class="d-none taskfile-form">
                                <input type="hidden" name="project_id" value="{{ $project->id }}">
                                <input type="hidden" name="service_id" value="{{ $svh['id'] }}" id="service_id">
                                <input type="hidden" name="case_id" value="{{ $caseExist->case_id }}">
                                <div class="row">
                                    <div class="col-md-12 p-0">
                                    <x-forms.file-multiple :fieldLabel="__('modules.projects.uploadFile')" fieldName="file" fieldId="employee_file{{ $svh['id'] }}" fieldValue="{{ $svh['id'] }}" fieldService="{{$name}}"/>
                                    </div>
                                    <div class="col-md-12 p-0">
                                        <div class="w-100 justify-content-end d-flex mt-2">
                                            {{-- 
                                            <x-forms.button-cancel id="cancel-taskfile" class="border-0">@lang('app.cancel')
                                            </x-forms.button-cancel>
                                            --}}
                                        </div>
                                    </div>
                                </div>
                            </x-form>
                        @endif

                        @if ($viewFilePermission == 'all' || ($viewFilePermission == 'added' && user()->id == $project->added_by) || ($viewFilePermission == 'owned' && user()->id == $project->client_id))
                            {{-- <div class="d-flex mt-3 task-list gap-3" id="task-file-list{{ $svh['id'] }}"> --}}
                                <div class="row row-gap-3" id="task-file-list{{ $svh['id'] }}">
                                
                                    @forelse($project->files as $file)

                                        @php
                                        $filename =  $file->hashname;
                                        $awspath = Storage::disk('s3')->url('projectfiles/' . $filename, 'public');
                                            //dd($file);
                                        @endphp
                                        @if($file->service_id == $svh['id'])
                                        <x-file-card :fileName="$file->filename" :dateAdded="$file->created_at->diffForHumans()">
                                            <x-file-view-thumbnail :file="$file"></x-file-view-thumbnail>

                                            @if ($viewFilePermission == 'all' || ($viewFilePermission == 'added' && $file->added_by == user()->id))
                                                <x-slot name="action">
                                                    <div class="dropdown ml-auto file-action">
                                                        <button
                                                            class="btn btn-lg f-14 p-0 text-lightest text-capitalize rounded  dropdown-toggle"
                                                            type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                            <i class="fa fa-ellipsis-h"></i>
                                                        </button>

                                                        <div class="dropdown-menu dropdown-menu-right border-grey rounded b-shadow-4 p-0"
                                                            aria-labelledby="dropdownMenuLink" tabindex="0">
                                                            @if ($viewFilePermission == 'all' || ($viewFilePermission == 'added' && $file->added_by == user()->id))
                                                                @if ($file->icon == 'images')
                                                                    <a class="img-lightbox cursor-pointer d-block text-dark-grey f-13 p-3" data-image-url="{{ $awspath }}" href="javascript:;">@lang('app.view')</a>
                                                                @else
                                                                    <a class="cursor-pointer d-block text-dark-grey f-13 p-3 " target="_blank" href="{{ $awspath }}">@lang('app.view')</a>
                                                                @endif

                                                               {{-- <a class="cursor-pointer d-block text-dark-grey f-13 py-3 px-3 "
                                                                    href="{{ route('project-files.download', md5($file->id)) }}">@lang('app.download')</a> --}}
                                                                    {{--<a class="cursor-pointer d-block text-dark-grey f-13 py-3 px-3 "
                                                                    href="{{ route('project-files.download', ['filename' => basename($awspath)]) }}">@lang('app.download')</a>--}}
                                                            @endif

                                                            @if ($deleteFilePermission == 'all' || ($deleteFilePermission == 'added' && $file->added_by == user()->id))
                                                                <a class="cursor-pointer d-block text-dark-grey f-13 pb-3 px-3 delete-file"
                                                                    data-row-id="{{ $file->id }}"
                                                                    href="javascript:;">@lang('app.delete')</a>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </x-slot>
                                            @endif

                                        </x-file-card>

                                        @endif
                                    @empty
                                        <div class="align-items-center d-flex flex-column text-lightest p-20 w-100">
                                            <i class="fa fa-file-excel f-21 w-100"></i>

                                            <div class="f-15 mt-4">
                                                - @lang('messages.noFileUploaded') -
                                            </div>
                                        </div>
                                    @endforelse
                                
                            </div>
                        @endif

                    </x-cards.data>
                </div>
                <!-- TAB CONTENT END -->

            @php
                $i++;
            @endphp 
            @endforeach

            </div>

        @endif

    </div>
</div>

<script>
    $(document).ready(function () {
        var add_project_files = "{{ $addFilePermission }}";
        var trashed = "{{ $project->trashed() }}";
        var isProjectAdmin = {{ ($project->project_admin == user()->id) ? 1 : 0 }};
    
    if (!trashed && (add_project_files == "all" || isProjectAdmin)) {

    @if(!empty($services))
        @php
            $s = 1;
        @endphp 

        let dynamicVars = {};   

    @foreach($services as $skh => $svh)
        var service = "{{$svh['id']}}";   
        var serviceZone = "{{$svh['id']}}";
        var serviceName = "{{str_replace(' ','', strtolower($svh['name']))}}-tab-pane";
        //alert(serviceName); 
        /*var employee = "#employee_file{{$svh['id']}}"; 
        var fileUpload = "#file-upload-box{{$svh['id']}}";   
        var taskFileList = "#task-file-list{{$svh['id']}}";
        var addTaskFile = "#add-task-file{{$svh['id']}}";
        var form = "#save-taskfile-data-form{{$svh['id']}}";*/
       
        //var dropzoneElement = document.getElementById(employee);
        //console.log(dropzoneElement);
       //console.log(dynamicVars[`var${serviceZone}`] = "test");

            Dropzone.autoDiscover = false;
            dynamicVars[`var${serviceZone}`]= new Dropzone("#employee_file"+service, {
                dictDefaultMessage: "{{ __('app.dragDrop') }}",
                url: "{{ route('files.store') }}",
                headers: {
                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                },
                paramName: "file",
                maxFilesize: DROPZONE_MAX_FILESIZE,
                maxFiles: DROPZONE_MAX_FILES,
                timeout: 0,
                uploadMultiple: true,
                addRemoveLinks: true,
                parallelUploads: DROPZONE_MAX_FILES,
                acceptedFiles: DROPZONE_FILE_ALLOW,
                init: function() {
                    taskDropzone = this;
                }
            });
            dynamicVars[`var${serviceZone}`].on('sending', function(file, xhr, formData) {
                var ids = "{{ $project->id }}";
                var service_id = $(".tab-pane.fade.show.active .taskfile-form").find('#service_id').val();
                var case_id = "{{ $project->case_id }}";                
                formData.append('project_id', ids);
                formData.append('service_id', service_id);
                formData.append('case_id', case_id);
                $.easyBlockUI();
            });
            dynamicVars[`var${serviceZone}`].on('uploadprogress', function() {
                $.easyBlockUI();
            });
            dynamicVars[`var${serviceZone}`].on('completemultiple', function(file) {
                var taskView = JSON.parse(file[0].xhr.response).view;
                dynamicVars[`var${serviceZone}`].removeAllFiles();
                $.easyUnblockUI();
                location.reload();
                //alert(file);                
                //$(".tab-pane.fade.show.active .task-list").html(taskView);
            });
            dynamicVars[`var${serviceZone}`].on('removedfile', function () {
                var grp = $('div#employee_file'+service).closest(".form-group");
                var label = $('div#file-upload-box'+service).siblings("label");
                $(grp).removeClass("has-error");
                $(label).removeClass("is-invalid");
            });
            dynamicVars[`var${serviceZone}`].on('error', function (file, message) {
                dynamicVars[`var${serviceZone}`].removeFile(file);
                var grp = $('div#employee_file'+service).closest(".form-group");
                var label = $('div#file-upload-box'+service).siblings("label");
                $(grp).find(".help-block").remove();
                var helpBlockContainer = $(grp);

                if (helpBlockContainer.length == 0) {
                    helpBlockContainer = $(grp);
                }

                helpBlockContainer.append('<div class="help-block invalid-feedback">' + message + '</div>');
                $(grp).addClass("has-error");
                $(label).addClass("is-invalid");

            });

            $('body').on('click', "#add-task-file"+service, function() {
                var id = $(this).attr('id');
                $(this).closest('.row').addClass('d-none');
                $(this).parents(".add-btn-task").siblings("form").removeClass('d-none');
                //alert($(this).parents(".add-btn-task").siblings("form").length);
            });

            /*$("#add-task-file"+service).click(function() {
                $(this).closest('.row').addClass('d-none');
                alert("#add-task-file"+service);
                alert($(this).parents("#"+serviceName).length);
                $(this).parent("#"+serviceName).find("#save-taskfile-data-form"+service).removeClass('d-none');
            });*/

            /*$('.tab-pane.fade.show.active #cancel-document').click(function() {
                $('.tab-pane.fade.show.active form').addClass('d-none');
                $('.tab-pane.fade.show.active .add-btn-task').closest('.row').removeClass('d-none');
            });*/

            /*$('body').on('click', '.tab-pane.fade.show.active #cancel-taskfile', function() {
                $('.tab-pane.fade.show.active form').toggleClass('d-none');
                $('.tab-pane.fade.show.active .add-btn-task').toggleClass('d-none');
            });*/
       

    @endforeach  

    @endif

    }

    

    

    $('body').on('click', '.delete-file', function() {
        var id = $(this).data('row-id');
        Swal.fire({
            title: "@lang('messages.sweetAlertTitle')",
            text: "@lang('messages.recoverRecord')",
            icon: 'warning',
            showCancelButton: true,
            focusConfirm: false,
            confirmButtonText: "@lang('messages.confirmDelete')",
            cancelButtonText: "@lang('app.cancel')",
            customClass: {
                confirmButton: 'btn btn-primary mr-3',
                cancelButton: 'btn btn-secondary'
            },
            showClass: {
                popup: 'swal2-noanimation',
                backdrop: 'swal2-noanimation'
            },
            buttonsStyling: false
        }).then((result) => {
            if (result.isConfirmed) {
                var url = "{{ route('files.destroy', ':id') }}";
                url = url.replace(':id', id);

                var token = "{{ csrf_token() }}";

                $.easyAjax({
                    type: 'POST',
                    url: url,
                    data: {
                        '_token': token,
                        '_method': 'DELETE'
                    },
                    success: function(response) {
                        if (response.status == "success") {
                            $(taskFileList).html(response.view);
                        }
                    }
                });
            }
        });
    });

    });

</script>
