@extends('layouts.jobs')

@push('datatable-styles')
    @include('sections.datatable_css')
@endpush

@php
$viewProjectMemberPermission = user()->permission('view_project_members');
$viewProjectMilestonePermission = ($project->project_admin == user()->id) ? 'all' : user()->permission('view_project_milestones');
$viewTasksPermission = ($project->project_admin == user()->id) ? 'all' : user()->permission('view_project_tasks');
$viewGanttPermission = ($project->project_admin == user()->id) ? 'all' : user()->permission('view_project_gantt_chart');
$viewInvoicePermission = user()->permission('view_project_invoices');
$viewDiscussionPermission = user()->permission('view_project_discussions');
$viewNotePermission = user()->permission('view_project_note');
$viewFilesPermission = user()->permission('view_project_files');
$viewRatingPermission = user()->permission('view_project_rating');
$viewOrderPermission = user()->permission('view_project_orders');

$projectArchived = $project->trashed();
@endphp

@section('filter-section')
    <div class="d-none d-lg-flex align-items-center filter-box project-header bg-white project-filter">   
    
    <a href="{{route('projects.index')}}" class="border-0 d-lg-block d-none text-lightest font-weight-bold p-2" id="backarrow"></a>
   
    <x-app-title class="d-block" :pageTitle="ucwords($pageTitle)"></x-app-title>
    </div>

    <!-- FILTER START -->
    <!-- PROJECT HEADER START -->
    <div class="d-flex d-lg-block filter-box project-header bg-white project-filter mt-4">

        <div class="mobile-close-overlay w-100 h-100" id="close-client-overlay"></div>

        <div class="project-menu" id="mob-client-detail">
            <a class="d-none close-it" href="javascript:;" id="close-client-detail">
                <i class="fa fa-times"></i>
            </a>

            <nav class="tabs">
                <ul class="-primary">
                    <li>
                        <x-tab :href="route('projects.show', $project->id)" :text="__('modules.projects.overview')" class="overview" />
                    </li>

                    <li>
                        <x-tab :href="route('projects.show', $project->id).'?tab=project_scope'" :text="__('modules.projects.project_scope')" class="project_scope" />
                    </li>

                    <li>
                        <x-tab :href="route('projects.show', $project->id).'?tab=business-info'" :text="__('modules.projects.business_info')" class="business-info" />
                    </li>

                    <li>
                        <x-tab :href="route('projects.show', $project->id).'?tab=project-info'" :text="__('modules.projects.project_info')" class="project-info" />
                    </li>

                    <li>
                        <x-tab :href="route('projects.show', $project->id).'?tab=company-info'" :text="__('modules.projects.company_info')" class="company-info" />
                    </li>

                    @if ($viewDiscussionPermission == 'all' || ($viewDiscussionPermission == 'added' && user()->id == $project->added_by) || ($viewDiscussionPermission == 'owned' && user()->id == $project->client_id))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=question'" :text="__('app.question')" class="question" ajax="false" />
                        </li>
                    @endif
                    
                    {{-- 
                    @if (
                        !$project->public && $viewProjectMemberPermission == 'all'
                    )
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=members'" :text="__('modules.projects.members')"
                            class="members" />
                        </li>
                    @endif
                    --}}

                    @if ($viewFilesPermission == 'all' || ($viewFilesPermission == 'added' && user()->id == $project->added_by) || ($viewFilesPermission == 'owned' && user()->id == $project->client_id))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=files'" :text="__('modules.projects.files')"
                            class="files" />
                        </li>
                    @endif

                    {{-- 
                    @if ($viewProjectMilestonePermission == 'all' || $viewProjectMilestonePermission == 'added' || ($viewProjectMilestonePermission == 'owned' && user()->id == $project->client_id))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=milestones'"
                            :text="__('modules.projects.milestones')" class="milestones" />
                        </li>
                    @endif

                    --}}

                    @if (in_array('tasks', user_modules()) && ($viewTasksPermission == 'all' || ($viewTasksPermission == 'added' && user()->id == $project->added_by) || ($viewTasksPermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=tasks'" :text="__('app.menu.tasks')" class="tasks"
                            ajax="false" />
                        </li>

                        {{-- 
                        @if (!$projectArchived)
                            <li>
                                <x-tab :href="route('projects.show', $project->id).'?tab=taskboard'" :text="__('modules.tasks.taskBoard')" class="taskboard" ajax="false" />
                            </li>

                            @if ($viewGanttPermission == 'all' || ($viewGanttPermission == 'added' && user()->id == $project->added_by) || ($viewGanttPermission == 'owned' && user()->id == $project->client_id))
                                <li>
                                    <x-tab :href="route('projects.show', $project->id).'?tab=gantt'" ajax="false" :text="__('modules.projects.viewGanttChart')" class="gantt" />
                                </li>
                            @endif
                        @endif

                        --}}


                    @endif
                    {{-- 
                    @if (in_array('invoices', user_modules()) && !is_null($project->client_id) && ($viewInvoicePermission == 'all' || ($viewInvoicePermission == 'added' && user()->id == $project->added_by) || ($viewInvoicePermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=invoices'" :text="__('app.menu.invoices')" class="invoices" ajax="false" />
                        </li>
                    @endif
                    --}}

                    {{-- 
                    @if (in_array('orders', user_modules()) && !is_null($project->client_id) && ($viewOrderPermission == 'all' || ($viewOrderPermission == 'added' && user()->id == $project->added_by) || ($viewOrderPermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=orders'" :text="__('app.menu.orders')" class="orders" ajax="false" />
                        </li>
                    @endif
                    --}}

                    @if (in_array('timelogs', user_modules()) && ($viewProjectTimelogPermission == 'all' || ($viewProjectTimelogPermission == 'added' && user()->id == $project->added_by) || ($viewProjectTimelogPermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=timelogs'" :text="__('app.menu.timeLogs')" class="timelogs" ajax="false" />
                        </li>
                    @endif

                    {{-- 

                    @if (in_array('expenses', user_modules()) && ($viewExpensePermission == 'all' || ($viewExpensePermission == 'added' && user()->id == $project->added_by) || ($viewExpensePermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=expenses'" :text="__('app.menu.expenses')" class="expenses" ajax="false" />
                        </li>
                    @endif

                    --}}

                    {{-- 
                    @if ($viewMiroboardPermission == 'all' && $project->enable_miroboard &&
                    ((in_array('client', user_roles()) && $project->client_access && $project->client_id == user()->id)
                    || !in_array('client', user_roles()))
                    )
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=miroboard'" :text="__('app.menu.miroboard')" class="miroboard" ajax="false" />
                        </li>
                    @endif
                    --}}

                    {{-- 

                    @if (in_array('payments', user_modules()) && !is_null($project->client_id) && ($viewPaymentPermission == 'all' || ($viewPaymentPermission == 'added' && user()->id == $project->added_by) || ($viewPaymentPermission == 'owned' && user()->id == $project->client_id)))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=payments'" :text="__('app.menu.payments')" class="payments" ajax="false" />
                        </li>
                    @endif

                    --}}

                    

                    @if ($viewNotePermission != 'none' )
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=notes'" :text="__('modules.projects.note')" class="notes" ajax="false" />
                        </li>
                    @endif

                    {{-- 

                    @if ($viewRatingPermission != 'none' && !is_null($project->client_id))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=rating'" :text="__('modules.projects.rating')" class="rating" ajax="false" />
                        </li>
                    @endif

                    --}}

                    {{-- 
                    @if($viewBurndownChartPermission != 'none' || $project->project_admin == user()->id)
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=burndown-chart'"
                                :text="__('modules.projects.burndownChart')" class="burndown-chart" ajax="false" />
                        </li>
                    @endif

                    --}}

                    {{-- 

                    @if (!in_array('client', user_roles()))
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=activity'"
                                :text="__('modules.employees.activity')" class="activity" />
                        </li>
                    @endif

                    --}}

                    {{--
                    @if ($viewNotePermission != 'none' )
                        <li>
                            <x-tab :href="route('projects.show', $project->id).'?tab=tickets'" :text="__('app.menu.tickets')" class="tickets" ajax="false" />
                        </li>
                    @endif

                    --}}

                </ul>
            </nav>
        </div>

        <!-- <a class="mb-0 d-block d-lg-none text-dark-grey ml-auto mr-2 border-left-grey" onclick="openClientDetailSidebar()"><i class="fa fa-ellipsis-v "></i></a> -->
    </div>
   
    <!-- PROJECT HEADER END -->

@endsection

@section('content')

    <div class="content-wrapper pt-0 border-top-0 client-detail-wrapper project-wrapper">

        @include($view)
       
    </div>

@endsection

@section('profile-bar')
<div class="sidebarrgt bg-white py-md-4 py-3 px-lg-3 project-right-bar mb-lg-0 mb-lg-4 px-lg-0 px-3">
    <!-- <button id="filterbtn" class="filterbtn d-lg-none d-block">Filter <i class="bi bi-funnel ms-3"></i> </button>-->
     <button id="closebtn" class="closeicon d-lg-none d-block"><i class="bi bi-x-circle"></i> </button>
   
    <div class="sidebarfilterdiv"> 
        @php
            $full_name = trim(
                ($profile_info->saluation ?? '') . ' ' . 
                ($profile_info->first_name ?? '') . ' ' . 
                ($profile_info->last_name ?? '')
            );
            $full_name = !empty($full_name) ? $full_name : $project_name;

        @endphp
        <h2 class="mb-1"> {{ $full_name }}</h2>
        <p class="lgtclr mb-3">Created 
            @if(!empty($profile_info->created_at))
                {{ $profile_info->created_at }}
            @else
                Date not available
            @endif

        </p>
        <div class="d-flex gap-2 mb-4 flex-wrap sidebtn-main">
            {{-- notification --}}
            <button class="sidebtn notifibtn"> <i class="bi bi-bell"></i> </button>
            {{--  --}}
            {{-- <a href="{{ route('profile-settings.index') }}" data-toggle="tooltip" data-original-title="{{ __('app.menu.profileSettings') }}">
                <button class="sidebtn editbtn"> Edit Profile </button>
            </a> --}}
            <a data-toggle="tooltip">
                <button class="sidebtn editbtn"> Edit Profile </button>
            </a>
            <button class="sidebtn callbtn"> Call </button>
        </div>

        <div>
            <div class="mb-3">
                <p class="lgtclr mb-0">CaseID</p>
                <h5 class="mb-0">
                    {{-- {{$profile_info->case_id}} --}}
                    @if(!empty($profile_info->case_id))
                        {{ $profile_info->case_id }}
                    @else
                        No CaseID
                    @endif
                </h5>
            </div>
            <div class="mb-3">
                <p class="lgtclr mb-0">Status</p>
                <h5 class="mb-0">NEW</h5>
            </div>
            <div class="mb-3">
                <p class="lgtclr mb-0">Email</p>
                <h5 class="mb-0">
                    {{-- {{$profile_info->email}} --}}
                    @if(!empty($profile_info->email))
                        {{ $profile_info->email }}
                    @else
                        No email address
                    @endif
                </h5>
            </div>
                <div class="mb-3 w-100">
                    <p class="lgtclr mb-0">Phone</p>
                    <h5 class="mb-0">
                        {{-- {{$profile_info->mobile_no}} --}}
                        @if(!empty($profile_info->mobile_no))
                            {{ $profile_info->mobile_no }}
                        @else
                            No mobile number
                        @endif
                    </h5>
                </div>
                @php
                    $dob = !empty($profile_info->dob) ? new DateTime($profile_info->dob) : null;
                    $formattedDob = $dob ? $dob->format('d-m-Y') : 'Date of birth not available';
                @endphp
                <div class="mb-3 w-100">
                    <p class="lgtclr mb-0">DOB</p>
                    <h5 class="mb-0">
                        @if(!empty($formattedDob))
                        {{ $formattedDob }}
                    @else
                        Date of birth not available
                    @endif</h5>
                </div>
            @php
                $address = json_decode($profile_info->address);
                $address_parts = [];

                if (!empty($address->address1)) {
                    $address_parts[] = $address->address1;
                }
                if (!empty($address->address2)) {
                    $address_parts[] = $address->address2;
                }
                if (!empty($address->town_or_city)) {
                    $address_parts[] = $address->town_or_city;
                }
                if (!empty($address->country)) {
                    $address_parts[] = $address->country;
                }

                // Combine address parts with a comma and space
                $full_address = implode(', ', $address_parts);
                $full_address = !empty($full_address) ? $full_address : 'No address';
            @endphp
            <div class="mb-3">
                <p class="lgtclr mb-0">Postcode</p>
                <h5 class="mb-0">
                    {{-- {{$address->current_address}} --}}
                    @if(!empty($address->current_address))
                    {{ $address->current_address }}
                    @else
                        No postcode
                    @endif
                    {{-- {{ $full_address }} --}}
                </h5>
            </div>
           
            <div class="mb-3">
                <p class="lgtclr mb-0">Address</p>
                <h5 class="mb-0">
                    {{ $full_address }}
                    
                </h5>
            </div>

            <div class="mb-3">
                <p class="lgtclr mb-0">User IP</p>
                <h5 class="mb-0">175:12:20</h5>
            </div>

            <div class="mb-3">
                <p class="lgtclr mb-0">User Device</p>
                <h5 class="mb-0">Desktop - Google Chrome</h5>
            </div>
        </div>
    </div>
</div>

@endsection

@push('scripts')

<script>

$(document).ready(function(){
    $('body').on('click','#myTab button',function() {
        var targetPane = $(this).data('bs-target'); // Get the target tab-pane ID
        // Remove active and show classes from all tab panes
        $('.tab-pane').removeClass('show active');
        // Add active and show classes to the clicked tab's pane
        $(targetPane).addClass('show active');
        // Remove active class from all tab buttons
        $('#myTab button').removeClass('active');
        // Add active class to the clicked tab button
        $(this).addClass('active');
    });
});

$(document).ready(function() {
    $('body').on('click','.scp-tab',function() {
        // Find the closest .projscpcontent parent div
        var parentDiv = $(this).closest('.projctperent');

        // Check if the clicked tab is already active
        if ($(this).hasClass('scp-active')) {
            // If it is active, remove the class and hide the corresponding detail section
            $(this).removeClass('scp-active');
            var targetCollapse = $(this).data('bs-target');
            $(targetCollapse).collapse('hide');
        } else {
            // If it is not active, remove the 'scp-active' class from all tabs within this parent div
            parentDiv.find('.scp-tab').removeClass('scp-active');
            
            // Add 'scp-active' class to the clicked tab
            $(this).addClass('scp-active');

            // Collapse all .scpdtl sections within this parent div
            parentDiv.find('.scpdtl').collapse('hide');
            
            // Show the corresponding .scpdtl section
            var targetCollapse = $(this).data('bs-target');
            $(targetCollapse).collapse('show');
        }
    });
});

</script>


    <script>
        $("body").on("click", ".project-menu .ajax-tab", function(event) {
            event.preventDefault();

            $('.project-menu .p-sub-menu').removeClass('active');
            $(this).addClass('active');


            const requestUrl = this.href;

            $.easyAjax({
                url: requestUrl,
                blockUI: true,
                container: ".content-wrapper",
                historyPush: true,
                success: function(response) {
                    if (response.status == "success") {
                        $('.content-wrapper').html(response.html);
                        init('.content-wrapper');
                    }
                }
            });
        });

    </script>
    <script>
        const activeTab = "{{ $activeTab }}";
        //alert(activeTab);
        $('.project-menu .' + activeTab).addClass('active');

    </script>
    <script>
        /*******************************************************
                 More btn in projects menu Start
        *******************************************************/

        const container = document.querySelector('.tabs');
        const primary = container.querySelector('.-primary');
        const primaryItems = container.querySelectorAll('.-primary > li:not(.-more)');
        container.classList.add('--jsfied'); // insert "more" button and duplicate the list

        primary.insertAdjacentHTML('beforeend', `
        <li class="-more">
            <button type="button" class="px-4 h-100 bg-grey d-lg-flex align-items-center" aria-haspopup="true" aria-expanded="false">
            {{__('app.more')}} <span>&darr;</span>
            </button>
            <ul class="-secondary" id="hide-project-menues">
            ${primary.innerHTML}
            </ul>
        </li>
        `);
        const secondary = container.querySelector('.-secondary');
        const secondaryItems = secondary.querySelectorAll('li');
        const allItems = container.querySelectorAll('li');
        const moreLi = primary.querySelector('.-more');
        const moreBtn = moreLi.querySelector('button');
        moreBtn.addEventListener('click', e => {
            e.preventDefault();
            container.classList.toggle('--show-secondary');
            moreBtn.setAttribute('aria-expanded', container.classList.contains('--show-secondary'));
        }); // adapt tabs

        const doAdapt = () => {
            // reveal all items for the calculation
            allItems.forEach(item => {
                item.classList.remove('--hidden');
            }); // hide items that won't fit in the Primary

            let stopWidth = moreBtn.offsetWidth;
            let hiddenItems = [];
            const primaryWidth = primary.offsetWidth;
            primaryItems.forEach((item, i) => {
                if (primaryWidth >= stopWidth + item.offsetWidth) {
                    stopWidth += item.offsetWidth;
                } else {
                    item.classList.add('--hidden');
                    hiddenItems.push(i);
                }
            }); // toggle the visibility of More button and items in Secondary

            if (!hiddenItems.length) {
                moreLi.classList.add('--hidden');
                container.classList.remove('--show-secondary');
                moreBtn.setAttribute('aria-expanded', false);
            } else {
                secondaryItems.forEach((item, i) => {
                    if (!hiddenItems.includes(i)) {
                        item.classList.add('--hidden');
                    }
                });
            }
        };

        doAdapt(); // adapt immediately on load

        window.addEventListener('resize', doAdapt); // adapt on window resize
        // hide Secondary on the outside click

        document.addEventListener('click', e => {
            let el = e.target;

            while (el) {
                if (el === secondary || el === moreBtn) {
                    return;
                }

                el = el.parentNode;
            }

            container.classList.remove('--show-secondary');
            moreBtn.setAttribute('aria-expanded', false);
        });
        /*******************************************************
                 More btn in projects menu End
        *******************************************************/
    </script>
@endpush
