<?php $__env->startPush('styles'); ?>
<?php if((!is_null($viewEventPermission) && $viewEventPermission != 'none')
|| (!is_null($viewHolidayPermission) && $viewHolidayPermission != 'none')
|| (!is_null($viewTaskPermission) && $viewTaskPermission != 'none')
|| (!is_null($viewTicketsPermission) && $viewTicketsPermission != 'none')
|| (!is_null($viewLeavePermission) && $viewLeavePermission != 'none')
): ?>
<link rel="stylesheet" href="<?php echo e(asset('vendor/full-calendar/main.min.css')); ?>" defer="defer">
<?php endif; ?>
<style>
.h-200 {
    max-height: 340px;
    overflow-y: auto;
}

.dashboard-settings {
    width: 600px;
}

@media (max-width: 768px) {
    .dashboard-settings {
        width: 300px;
    }
}

.fc-list-event-graphic {
    display: none;
}

.fc .fc-list-event:hover td {
    background-color: #fff !important;
    color: #000 !important;
}

.left-3 {
    margin-right: -22px;
}

.clockin-right {
    margin-right: -10px;
}

.week-pagination li {
    margin-right: 5px;
    z-index: 1;
}

.week-pagination li a {
    border-radius: 50%;
    padding: 2px 6px !important;
    font-size: 11px !important;
}

.week-pagination li.page-item:first-child .page-link {
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
}

.week-pagination li.page-item:last-child .page-link {
    border-top-right-radius: 50%;
    border-bottom-right-radius: 50%;
}
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<!-- CONTENT WRAPPER START -->



<!-- Dashboard Content Start -->
<div class="dashboard p-md-4 p-3">
    <div class="dashboard-inr d-flex flex-md-row flex-column gap-4">
        <div class="dashboard-itms w-100 p-3">
            <h3 class="mb-2">
               
               <?php if(!empty($total_project)): ?>
                    <?php echo e($total_project); ?>

                <?php else: ?>
                    0
                <?php endif; ?> 
            </h3>
            <h5 class="mb-0">Total Cases</h5>
        </div>
        <div class="dashboard-itms w-100 p-3">
            <h3 class="mb-2">
                
                <?php if(!empty($reject_project)): ?>
                    <?php echo e($reject_project); ?>

                <?php else: ?>
                    0
                <?php endif; ?>
            </h3>
            <h5 class="mb-0">Rejected Cases</h5>
        </div>
        <div class="dashboard-itms w-100 p-3">
            <h3 class="mb-2">
                <?php if(!empty($progress_project)): ?>
                    <?php echo e($progress_project); ?>

                <?php else: ?>
                    0
                <?php endif; ?>
            </h3>
            <h5 class="mb-0">Progress Cases</h5>
        </div>
        <div class="dashboard-itms w-100 p-3">
            <h3 class="mb-2">
                <?php if(!empty($finished_project)): ?>
                    <?php echo e($finished_project); ?>

                <?php else: ?>
                    0
                <?php endif; ?>
            </h3>
            <h5 class="mb-0">Finished Cases</h5>
        </div>
    </div>

    <div class="my-4">
        <div class="cases-tab-container">
            <div class="d-flex flex-md-row flex-column  justify-content-between mb-3 gap-4">
                <div class="cases-tab-links d-inline-flex w-auto flex-wrap">
                    <button href="#" class="cases-tab active px-3 py-2" data-tab="years-tab">12 months</button>
                    <button href="#" class="cases-tab px-3 py-2" data-tab="month-tab">30 days</button>
                    <button href="#" class="cases-tab px-3 py-2" data-tab="week-tab">7 days</button>
                    <button href="#" class="cases-tab px-3 py-2" data-tab="days-tab">24 hours</button>
                </div>

                <div class="position-relative">

                    <input class="flatpickr-input" type="text" id="date-range" placeholder="Select Date Range"
                        readonly="readonly">

                    <button id="show-picker" type="button" class="flatpickrbtn py-2 px-3">
                        <i class="bi bi-calendar2-event mr-2"></i>
                        Select date
                    </button>

                </div>
            </div>
            <!-- Flatpickr CSS -->



            
            <div class="tab-content">
                <div id="years-tab" class="content-tab active">
                    <div class="d-flex flex-md-row flex-column gap-4">
                        <div class="card w-100">
                            <table class="table table-responsive d-table">
                                <thead>
                                    <tr>
                                        <th> Cases Added </th>
                                        <th class="text-right">View All Cases</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    
                                    <?php $__currentLoopData = $lastyear_project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($project->project_name); ?></td>
                                        <td class="text-right">
                                            <span class="dot d-inline-block mr-2"></span> <?php echo e($project->status); ?>

                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>

                        </div>
                        <div class=" w-100">
                        <div class="card cases-updated w-100 p-md-4 p-3 mb-4">

                            <h4 class="mb-4">Cases Updated</h4>

                            <div class="d-flex flex-md-row flex-column gap-5 align-items-center">
                                <div>
                                <canvas id="caseUpdateChart" width="178" height="178" style="display: block; box-sizing: border-box; height: 178px; width: 178px;"></canvas>
                                </div>
                                <div>
                                    <div class="d-flex flex-sm-row flex-column gap-4">
                                        <ul class="caseslftlist">
                                            <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                        </ul>
                                        <ul class="casesrgtlist">
                                        <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                       
                                        </ul>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="card w-100 agent-updates">
                        <h4 class="mb-0 px-md-4 py-3 px-3">Agent Updates</h4>
                        
                        <div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 1 </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0"> 7 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"><span class="agentdtl"> SuperAdmin  </span> <span class="agentdtlbg px-2"> S.Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 3 updates  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 2  </span> <span class="agentdtlbg px-2"> team </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 1 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 3  </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0">  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Admin 1 </span> <span class="agentdtlbg px-2"> Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 12 updates </p>
                            </div>
                        </div>


                        </div>
                        </div>
                    </div>
                </div>
                <div id="month-tab" class="content-tab">
                <div class="d-flex flex-md-row flex-column gap-4">
                        <div class="card w-100">
                            <table class="table table-responsive d-table">
                                <thead>
                                    <tr>
                                        <th> Cases Added </th>
                                        <th class="text-right">View All Cases</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $lastmonth_project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $last_month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($last_month->project_name); ?></td>
                                        <td class="text-right">
                                            <span class="dot d-inline-block mr-2"></span> <?php echo e($last_month->status); ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>

                        </div>
                        <div class=" w-100">
                        <div class="card cases-updated w-100 p-md-4 p-3 mb-4">

                            <h4 class="mb-4">Cases Updated</h4>

                            <div class="d-flex flex-md-row flex-column gap-5 align-items-center">
                                <div>
                                <canvas id="caseUpdateChart" width="178" height="178" style="display: block; box-sizing: border-box; height: 178px; width: 178px;"></canvas>
                                </div>
                                <div>
                                    <div class="d-flex flex-sm-row flex-column gap-4">
                                        <ul class="caseslftlist">
                                            <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                        </ul>
                                        <ul class="casesrgtlist">
                                        <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                       
                                        </ul>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="card w-100 agent-updates">
                        <h4 class="mb-0 px-md-4 py-3 px-3">Agent Updates</h4>
                        
                        <div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 1 </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0"> 7 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"><span class="agentdtl"> SuperAdmin  </span> <span class="agentdtlbg px-2"> S.Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 3 updates  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 2  </span> <span class="agentdtlbg px-2"> team </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 1 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 3  </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0">  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Admin 1 </span> <span class="agentdtlbg px-2"> Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 12 updates </p>
                            </div>
                        </div>


                        </div>
                        </div>
                    </div>
                </div>
                <div id="week-tab" class="content-tab">
                <div class="d-flex flex-md-row flex-column gap-4">
                        <div class="card w-100">
                            <table class="table table-responsive d-table">
                                <thead>
                                    <tr>
                                        <th> Cases Added </th>
                                        <th class="text-right">View All Cases</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $lastweek_project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $last_week): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($last_week->project_name); ?></td>
                                        <td class="text-right">
                                            <span class="dot d-inline-block mr-2"></span> <?php echo e($last_week->status); ?>

                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>

                        </div>
                        <div class=" w-100">
                        <div class="card cases-updated w-100 p-md-4 p-3 mb-4">

                            <h4 class="mb-4">Cases Updated</h4>

                            <div class="d-flex flex-md-row flex-column gap-5 align-items-center">
                                <div>
                                <canvas id="caseUpdateChart" width="178" height="178" style="display: block; box-sizing: border-box; height: 178px; width: 178px;"></canvas>
                                </div>
                                <div>
                                    <div class="d-flex flex-sm-row flex-column gap-4">
                                        <ul class="caseslftlist">
                                            <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                        </ul>
                                        <ul class="casesrgtlist">
                                        <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                       
                                        </ul>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="card w-100 agent-updates">
                        <h4 class="mb-0 px-md-4 py-3 px-3">Agent Updates</h4>
                        
                        <div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 1 </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0"> 7 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"><span class="agentdtl"> SuperAdmin  </span> <span class="agentdtlbg px-2"> S.Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 3 updates  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 2  </span> <span class="agentdtlbg px-2"> team </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 1 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 3  </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0">  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Admin 1 </span> <span class="agentdtlbg px-2"> Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 12 updates </p>
                            </div>
                        </div>


                        </div>
                        </div>
                    </div>
                </div>
                <div id="days-tab" class="content-tab">
                <div class="d-flex flex-md-row flex-column gap-4">
                        <div class="card w-100">
                            <table class="table table-responsive d-table">
                                <thead>
                                    <tr>
                                        <th> Cases Added </th>
                                        <th class="text-right">View All Cases</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $lastday_project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $last_day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($last_day->project_name); ?></td>
                                        <td class="text-right">
                                            <span class="dot d-inline-block mr-2"></span> <?php echo e($last_day->status); ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>

                        </div>
                        <div class=" w-100">
                        <div class="card cases-updated w-100 p-md-4 p-3 mb-4">

                            <h4 class="mb-4">Cases Updated</h4>

                            <div class="d-flex flex-md-row flex-column gap-5 align-items-center">
                                <div>
                                <canvas id="caseUpdateChart" width="178" height="178" style="display: block; box-sizing: border-box; height: 178px; width: 178px;"></canvas>
                                </div>
                                <div>
                                    <div class="d-flex flex-sm-row flex-column gap-4">
                                        <ul class="caseslftlist">
                                            <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                        </ul>
                                        <ul class="casesrgtlist">
                                        <li class="mb-2"> <span class="dot d-inline-block dot1 mr-2"></span> Client Care</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot2 mr-2"></span> Awaiting LOC</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot3 mr-2"></span> LOC Responsed</li>
                                            <li class="mb-2"> <span class="dot d-inline-block dot4 mr-2"></span> Diff. in charges</li>
                                       
                                        </ul>
                                    </div>

                                </div>
                            </div>

                        </div>
                        <div class="card w-100 agent-updates">
                        <h4 class="mb-0 px-md-4 py-3 px-3">Agent Updates</h4>
                        
                        <div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 1 </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0"> 7 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"><span class="agentdtl"> SuperAdmin  </span> <span class="agentdtlbg px-2"> S.Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 3 updates  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 2  </span> <span class="agentdtlbg px-2"> team </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 1 updates </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Operator 3  </span> <span class="agentdtlbg px-2"> Operator </span></p>
                                <p class="text-right mb-0">  </p>
                            </div>
                            <div class="d-flex justify-content-between border-bottom px-md-4 py-3 px-3">
                                <p class="d-flex align-items-start mb-0"> <span class="agentdtl"> Admin 1 </span> <span class="agentdtlbg px-2"> Admin </span></p>
                                <p class="text-right mb-0"> <span class="dot"></span> 12 updates </p>
                            </div>
                        </div>


                        </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <!-- Tab script -->
        <script>
        $(document).ready(function() {
            $('.cases-tab-links .cases-tab').on('click', function(e) {
                e.preventDefault();
                var currentTab = $(this).attr('data-tab');
                // Remove active class from all tabs and links
                $('.cases-tab-links .cases-tab').removeClass('active');
                $('.content-tab').removeClass('active');
                // Add active class to clicked tab and link
                $(this).addClass('active');
                $('#' + currentTab).addClass('active');
            });
        });
        </script>
        <!-- Tab script End-->
        <!-- flatpickr-->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
        <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
        <script>
        function redirectToOption(selectElement) {
            var selectedValue = selectElement.value;
            // alert(selectedValue);
            if (selectedValue !== "" && selectedValue != 5) {
                window.location.href = selectedValue;
            }
            if (selectedValue == 5) {
                jQuery('.custom-range-cdate').removeClass('d-none');
                jQuery('.custom-range-cdate').addClass('d-flex');
            }
        }
        // custome range  select date
        flatpickr("#date-range", {

            mode: "range",

            dateFormat: "d M Y",

            showMonths: 2,

            inline: true,

            enableTime: false,

            minDate: null,

            maxDate: null,

            defaultDate: ["2024-07-07", "2024-08-11"], // Example: Default selected range

        });
        </script>

        <script>
        $(document).ready(function() {

            // Initialize Flatpickr

            var fp = flatpickr("#date-range", {

                mode: "range",

                dateFormat: "d M Y",

                showMonths: 2,

                inline: false,

                enableTime: false,

                minDate: null,

                maxDate: null,

                defaultDate: ["2024-07-07", "2024-08-11"],

                onChange: function(selectedDates, dateStr, instance) {

                    if (selectedDates.length === 2) {

                        var startDate = selectedDates[0];

                        var endDate = selectedDates[1];

                        var fromdate = instance.formatDate(startDate, "d-m-Y");

                        var todate = instance.formatDate(endDate, "d-m-Y");

                        if (fromdate != '' && todate != '') {
                            $('#date-range').hide();
                            window.location.replace("/admin/dashboard?date=5&rangefrom=" +
                                fromdate + "&rangeto=" + todate + "");
                        }

                        console.log("Start Date:", fromdate);

                        console.log("End Date:", todate);



                        // You can store these dates in variables or use them as needed

                        // For example:

                        window.selectedStartDate = formattedStartDate;

                        window.selectedEndDate = formattedEndDate;

                    }

                }

            });



            // Show the date picker when the button is clicked

            $("#show-picker").click(function() {

                $("#date-range").show(); // Toggle visibility

                // Open the date picker

                fp.open();

            });

        });
        </script>



<script>

	const ctx = document.getElementById('caseUpdateChart').getContext('2d');

	const myDoughnutChart = new Chart(ctx, {

		type: 'doughnut',

		data: {

			labels: ['No Data'],

			datasets: [{

				// label: 'Cases Updated',

				data: [1],

				backgroundColor: [

					'#f5f5f5'

				],

				borderColor: [

					'#000000'

				],

				borderWidth: 1

			}]

		},

		options: {

			responsive: true,

			plugins: {

				legend: {

					position: 'top',

				},

				title: {

					display: false,

					text: 'Doughnut Chart Example'

				},

				legend: {

                display: false, 

                position: 'top',

            }

			}

		}

	});

</script>



    </div>
</div>
<!-- Dashboard Content End -->


<!-- CONTENT WRAPPER END -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<?php if((!is_null($viewEventPermission) && $viewEventPermission != 'none')
|| (!is_null($viewHolidayPermission) && $viewHolidayPermission != 'none')
|| (!is_null($viewTaskPermission) && $viewTaskPermission != 'none')
|| (!is_null($viewTicketsPermission) && $viewTicketsPermission != 'none')
|| (!is_null($viewLeavePermission) && $viewLeavePermission != 'none')
): ?>
<script src="<?php echo e(asset('vendor/full-calendar/main.min.js')); ?>" defer="defer"></script>
<script src="<?php echo e(asset('vendor/full-calendar/locales-all.min.js')); ?>" defer="defer"></script>
<script>
if (cannotLogin === false) {
    clockInButton.disabled = true;
    clockInButton.setAttribute('data-toggle', 'popover');
    clockInButton.setAttribute('data-trigger', 'hover');
    // Add other attributes as needed
} else {
    clockInButton.disabled = false;
    // Remove any attributes set when the button is disabled
    clockInButton.removeAttribute('data-toggle');
    clockInButton.removeAttribute('data-trigger');
    // Remove other attributes as needed
}
</script>
<script>
$(document).ready(function() {
    var calendarEl = document.getElementById('calendar');

    var calendar = new FullCalendar.Calendar(calendarEl, {
        locale: initialLocaleCode,
        timeZone: '<?php echo e(company()->timezone); ?>',
        firstDay: parseInt("<?php echo e(attendance_setting()?->week_start_from); ?>"),
        headerToolbar: {
            left: 'prev,next today',
            center: 'title',
            right: 'dayGridMonth,timeGridWeek,timeGridDay,listWeek'
        },
        navLinks: true, // can click day/week names to navigate views
        selectable: false,
        initialView: 'listWeek',
        selectMirror: true,
        select: function(arg) {
            addEventModal(arg.start, arg.end, arg.allDay);
            calendar.unselect()
        },
        eventClick: function(arg) {
            getEventDetail(arg.event.id, arg.event.extendedProps.event_type);
        },
        editable: false,
        dayMaxEvents: true, // allow "more" link when too many events
        events: {
            url: "<?php echo e(route('dashboard.private_calendar')); ?>",
        },
        eventDidMount: function(info) {
            $(info.el).css('background-color', info.event.extendedProps.bg_color);
            $(info.el).css('color', info.event.extendedProps.color);
            $(info.el).find('td.fc-list-event-title').prepend('<i class="fa ' + info.event
                .extendedProps.icon + '"></i>&nbsp;&nbsp;');
            // tooltip for leaves
            if (info.event.extendedProps.event_type == 'leave') {
                $(info.el).find('td.fc-list-event-title > a').css('cursor',
                    'default'); // list view cursor for leave
                $(info.el).css('cursor', 'default')
                $(info.el).tooltip({
                    title: info.event.extendedProps.name,
                    container: 'body',
                    delay: {
                        "show": 50,
                        "hide": 50
                    }
                });
            }
        },
        eventTimeFormat: { // like '14:30:00'
            hour: company.time_format == 'H:i' ? '2-digit' : 'numeric',
            minute: '2-digit',
            meridiem: company.time_format == 'H:i' ? false : true
        }
    });

    if (calendarEl != null) {
        calendar.render();
    }


    $('.cal-filter').on('click', function() {

        var filter = [];

        $('.filter-check:checked').each(function() {
            filter.push($(this).val());
        });

        if (filter.length < 1) {
            filter.push('None');
        }

        calendar.removeAllEventSources();
        calendar.addEventSource({
            url: "<?php echo e(route('dashboard.private_calendar')); ?>",
            extraParams: {
                filter: filter
            }
        });

        filter = null;
    });

})
</script>
<script>
var initialLocaleCode = '<?php echo e(user()->locale); ?>';

// Task Detail show in sidebar
var getEventDetail = function(id, type) {
    if (type == 'ticket') {
        var url = "<?php echo e(route('tickets.show', ':id')); ?>";
        url = url.replace(':id', id);
        window.location = url;
        return true;
    }

    if (type == 'leave') {
        return true;
    }

    openTaskDetail();

    switch (type) {
        case 'task':
            var url = "<?php echo e(route('tasks.show', ':id')); ?>";
            break;
        case 'event':
            var url = "<?php echo e(route('events.show', ':id')); ?>";
            break;
        case 'holiday':
            var url = "<?php echo e(route('holidays.show', ':id')); ?>";
            break;
        case 'leave':
            var url = "<?php echo e(route('leaves.show', ':id')); ?>";
            break;
        default:
            return 0;
            break;
    }

    url = url.replace(':id', id);

    $.easyAjax({
        url: url,
        blockUI: true,
        container: RIGHT_MODAL,
        historyPush: true,
        success: function(response) {
            if (response.status == "success") {
                $(RIGHT_MODAL_CONTENT).html(response.html);
                $(RIGHT_MODAL_TITLE).html(response.title);
            }
        },
        error: function(request, status, error) {
            if (request.status == 403) {
                $(RIGHT_MODAL_CONTENT).html(
                    '<div class="align-content-between d-flex justify-content-center mt-105 f-21">403 | Permission Denied</div>'
                );
            } else if (request.status == 404) {
                $(RIGHT_MODAL_CONTENT).html(
                    '<div class="align-content-between d-flex justify-content-center mt-105 f-21">404 | Not Found</div>'
                );
            } else if (request.status == 500) {
                $(RIGHT_MODAL_CONTENT).html(
                    '<div class="align-content-between d-flex justify-content-center mt-105 f-21">500 | Something Went Wrong</div>'
                );
            }
        }
    });

};

// calendar filter
var hideDropdown = false;

$('#event-btn').click(function() {
    if (hideDropdown == true) {
        $('#cal-drop').hide();
        hideDropdown = false;
    } else {
        $('#cal-drop').toggle();
        hideDropdown = true;
    }
});


$(document).mouseup(e => {

    const $menu = $('.calendar-action');

    if (!$menu.is(e.target) && $menu.has(e.target).length === 0) {
        hideDropdown = false;
        $('#cal-drop').hide();
    }
});
</script>
<?php endif; ?>

<script>
window.setInterval(function() {
    let date = new Date();
    $('#dashboard-clock').html(moment.tz(date, "<?php echo e(company()->timezone); ?>").format(MOMENTJS_TIME_FORMAT))
}, 1000);

$('#save-dashboard-widget').click(function() {
    $.easyAjax({
        url: "<?php echo e(route('dashboard.widget', 'private-dashboard')); ?>",
        container: '#privateDashboardWidgetForm',
        blockUI: true,
        type: "POST",
        redirect: true,
        data: $('#privateDashboardWidgetForm').serialize(),
        success: function() {
            window.location.reload();
        }
    })
});

$('#clock-in').click(function() {
    const url = "<?php echo e(route('attendances.clock_in_modal')); ?>";
    $(MODAL_LG + ' ' + MODAL_HEADING).html('...');
    $.ajaxModal(MODAL_LG, url);
});

$('.request-shift-change').click(function() {
    var id = $(this).data('shift-schedule-id');
    var date = $(this).data('shift-schedule-date');
    var shiftId = $(this).data('shift-id');
    var url = "<?php echo e(route('shifts-change.edit', ':id')); ?>?date=" + date + "&shift_id=" + shiftId;
    url = url.replace(':id', id);

    $(MODAL_DEFAULT + ' ' + MODAL_HEADING).html('...');
    $.ajaxModal(MODAL_DEFAULT, url);
});

$('#view-shifts').click(function() {
    const url = "<?php echo e(route('employee-shifts.index')); ?>";
    $(MODAL_XL + ' ' + MODAL_HEADING).html('...');
    $.ajaxModal(MODAL_XL, url);
});

<?php if(!is_null($currentClockIn)): ?>
$('#clock-out').click(function() {

    var token = "<?php echo e(csrf_token()); ?>";
    var currentLatitude = document.getElementById("current-latitude").value;
    var currentLongitude = document.getElementById("current-longitude").value;

    $.easyAjax({
        url: "<?php echo e(route('attendances.update_clock_in')); ?>",
        type: "GET",
        data: {
            currentLatitude: currentLatitude,
            currentLongitude: currentLongitude,
            _token: token,
            id: '<?php echo e($currentClockIn->id); ?>'
        },
        success: function(response) {
            if (response.status == 'success') {
                window.location.reload();
            }
        }
    });
});
<?php endif; ?>

$('.keep-open .dropdown-menu').on({
    "click": function(e) {
        e.stopPropagation();
    }
});

$('#weekly-timelogs').on('click', '.week-timelog-day', function() {
    var date = $(this).data('date');

    $.easyAjax({
        url: "<?php echo e(route('dashboard.week_timelog')); ?>",
        container: '#weekly-timelogs',
        blockUI: true,
        type: "POST",
        redirect: true,
        data: {
            'date': date,
            '_token': "<?php echo e(csrf_token()); ?>"
        },
        success: function(response) {
            $('#weekly-timelogs').html(response.html)
        }
    })
});


<?php if(session('success')): ?>
Swal.fire({
    icon: 'success',
    text: '<?php echo e(session('
    success ')); ?>',

    toast: true,
    position: "top-end",
    timer: 3000,
    timerProgressBar: true,
    showConfirmButton: false,

    customClass: {
        confirmButton: "btn btn-primary",
    },
    showClass: {
        popup: "swal2-noanimation",
        backdrop: "swal2-noanimation",
    },
});
<?php endif; ?>
<?php if(session('error')): ?>
Swal.fire({
    icon: 'error',
    text: '<?php echo e(session('
    error ')); ?>',

    toast: true,
    position: "top-end",
    timer: 3000,
    timerProgressBar: true,
    showConfirmButton: false,

    customClass: {
        confirmButton: "btn btn-primary",
    },
    showClass: {
        popup: "swal2-noanimation",
        backdrop: "swal2-noanimation",
    },
});
<?php endif; ?>
</script>

<?php if(attendance_setting()->radius_check == 'yes' || attendance_setting()->save_current_location): ?>
<script>
function setCurrentLocation() {
    const currentLatitude = document.getElementById("current-latitude");
    const currentLongitude = document.getElementById("current-longitude");

    function getLocation() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition);
        }
    }

    function showPosition(position) {
        currentLatitude.value = position.coords.latitude;
        currentLongitude.value = position.coords.longitude;
    }
    getLocation();

}

setCurrentLocation();
</script>

<?php endif; ?>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/management.qwikgig.com/resources/views/dashboard/employee/index.blade.php ENDPATH**/ ?>